### Method

# Ide Buffer set_highlight_diagnostics

#### Declaration

    void
    ide_buffer_set_highlight_diagnostics (
      IdeBuffer* self,
      gboolean highlight_diagnostics
    )

#### Description

Sets the `IdeBuffer:highlight-diagnostics` property.

If set to `TRUE`, diagnostics will be styled in the buffer.

Available since: | 3.32

Sets property | `Ide.Buffer:highlight-diagnostics`

#### Parameters

`highlight_diagnostics` | `gboolean`
| If diagnostics should be highlighted.